import 'package:flutter/material.dart';

abstract class ColorsManager {
  static const Color textPrimaryColor = Color(0xFF5D5D5D);
  static const Color switchOffColor = Color(0x7F8D99AE);
  static const Color primaryColor = Color(0xFF0030CB);
  static const Color secondaryTextColor = Color(0xFF848484);
  static Color primaryColorWithOpacity =
      const Color(0xFF023DFE).withOpacity(0.6);
  static const Color onPrimaryColor = Colors.white;
  static const Color secondaryColor = Color(0xFF023DFE);
  static const Color onSecondaryColor = Color(0xFF023DFE);

  static const Color primaryTextColor = Colors.black;

  static const Color greyColor = Color(0xFFd5d5d5);

  static const Color backgroundColor = Color(0xFFececec);
  static const Color dozeColor = Color(0xFFFEC258);
  static const Color relaxColor = Color(0xFFFBD288);
  static const Color readingColor = Color(0xFFF7D69C);
  static const Color energizingColor = Color(0xFFEDEDED);
  static const Color dividerColor = Color(0xFFEBEBEB);
  static const Color slidingBlueColor = Color(0x99023DFE);
  static const Color blackColor = Color(0xFF000000);
  static const Color lightGreen = Color(0xFF00FF0A);
  static const Color grayColor = Color(0xFF999999);
  static const Color red = Colors.red;
  static const Color graysColor = Color(0xffEBEBEB);
  static const Color textGray = Color(0xffD5D5D5);
  static const Color switchButton = Color(0xff023DFE);
  static const Color grayBox = Color(0xffF5F5F5);
  static const Color chart = Color(0xff023DFE);
  static const Color blueColor = Color(0xff5481F3);
  static const Color blueColor1 = Color(0xff0A7AFF);
  static const Color grayButtonColors = Color(0xffCCCCCC);
  static const Color blueButton = Color(0xff85BDFF);
  static const Color backgroundGrey = Color(0xFFF3F3F3);
  static const Color grayTextColor = Color(0xFFC4C4C4);
}
